NWREVOKE(8)

NAME
nwrevoke - Revoke a Trustee Right from a directory

SYNOPSIS
nwrevoke [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -o object name ] [ -t type ] [ -r rights ] file/directory

DESCRIPTION
nwrevoke revokes the specified bindery object with the corresponding trustee rights from the directory. nwrevoke looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of $HOME/.nwclient MUST be 600 for security reasons.

OPTIONS
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U user
    user is the user name to use for login.
-P password
    password is the password to use for login. If neither -n nor -P are given, and the user has no open connection to the server, nwrevoke prompts for a password.
-n
    -n should be given if no password is required for the login.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-o object name
    The name of the object to be added as trustee.
-t object type
    The type of the object. Object type must be specified as a decimal value. Common values are 1 for user objects, 2 for group objects and 3 for print queues. Other values are allowed, but are usually used for specialized applications. If object type is not specified, object name is taken as NDS name.
file/directory
    You must specify the file/directory from which to remove the object as trustee. If you specified -S, it must be fully qualified NetWare notation for DOS namespace. Otherwise it must be file or directory mounted to your system using ncpfs. Example: nwrevoke -S NWSERVER -o linus -t 1 'src:bsd_src' With this example, user linus is removed as trustee from the bsd_src directory on the src volume on server NWSERVER. nwrevoke -o linus -t 1 /home/vana/ncpfs/nwserver/src/bsd_src With this example, user linus is removed as trustee from the bsd_src directory.

AUTHORS
nwrevoke was written by Volker Lendecke with the corresponding NetWare utility in mind. See the Changes file of ncpfs for other contributors.